routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Nos mostrará el formulario de login.
Route::get('/', 'Auth\LoginController@showLogin');

// Validamos los datos de inicio de sesión.
Route::post('/validar', 'Auth\LoginController@validarLogin');

    // Esta será nuestra ruta de bienvenida.
Route::get('dashboard', 'DashboardController@index');
Route::get('/busqueda/{busqueda}', 'DashboardController@busquedaTicket');
Route::get('/resultados', 'DashboardController@busqueda')->name('ticket.busqueda');


    // Esta será nuestra ruta de bienvenida.
Route::post('dashboard', 'DashboardController@indexFecha');
    // Esta ruta nos servirá para cerrar sesión.
Route::get('logout', 'Auth\LoginController@logOut');

    //Esta ruta es para crear cliente
    Route::resource('cliente', 'ClienteController');
    //ruta para desactivar y activar clientes
    Route::get('cliente/desactivar/{id}', 'ClienteController@desactivar');
    Route::get('cliente/activar/{id}', 'ClienteController@activar');

    //Rutas para marcas
    Route::resource('marca', 'MarcaController');
    //ruta para desactivar y activar marca
    Route::get('marca/desactivar/{id}', 'MarcaController@desactivar');
    Route::get('marca/activar/{id}', 'MarcaController@activar');
    Route::get('marca/validateNombre/{nombre}', 'MarcaController@validateNombre');

    //Esta ruta es para crear rma
    Route::resource('rma', 'RmaController');
    Route::get('/archivadosrma', 'RmaController@indexArchivados')->name('archivados');
    //Esta ruta es para crear rma
    Route::get('rma/historial/{id}', 'RmaController@historial');
    //ruta para formulario de entrada
    Route::get('entrada', 'RmaController@createE');
    //ruta para formulario de salida
    Route::get('salida', 'RmaController@createS');

    //Rutas para usuarios
    Route::resource('usuario', 'UsuarioController');
    //ruta para desactivar y activar usuario
    Route::get('usuario/desactivar/{id}', 'UsuarioController@desactivar');
    Route::get('usuario/activar/{id}', 'UsuarioController@activar');
    Route::get('usuario/validateUsername/{username}', 'UsuarioController@validateUsername');
    Route::get('usuario/validateCorreo/{email}', 'UsuarioController@validateCorreo');

    //Rutas para empresas
    Route::resource('empresa', 'EmpresaController');
    //ruta para desactivar y activar empresa
    Route::get('empresa/desactivar/{id}', 'EmpresaController@desactivar');
    Route::get('empresa/activar/{id}', 'EmpresaController@activar');
    Route::get('empresa/validateNombre/{nombre}', 'EmpresaController@validateNombre');


    //Esta ruta es para crear prioridades
    Route::resource('prioridad', 'PrioridadController');
    Route::get('prioridad/validateNombre/{nombre}', 'PrioridadController@validateNombre');

    //Esta ruta es para crear tipos de contrato
    Route::resource('tipoContrato', 'TipoContratoController');
    //ruta para desactivar y activar empresa
    Route::get('tipoContrato/desactivar/{id}', 'TipoContratoController@desactivar');
    Route::get('tipoContrato/activar/{id}', 'TipoContratoController@activar');
    Route::get('tipoContrato/validateNombre/{nombre}', 'TipoContratoController@validateNombre');

    //Esta ruta es para crear contratos
Route::resource('contrato', 'ContratoController');
    //Esta ruta es para crear Ticekts
Route::resource('ticket', 'TicketController');

Route::get('/seleccionarCliente/{id}/{emmpresa}', 'ClienteController@seleccion');
Route::get('/unSeleccionarCliente/{id}/{empresa}', 'ClienteController@unSeleccion');
Route::delete('/eliminar_ticket/{id}', 'TicketController@eliminarTicket')->name('ticket.eliminar');
Route::get('/RecordatorioCorreo', 'MailRememberController@recordarRespuesta');//ruta para correos persistentes de recordatorio de respuesta
    //Ruta para obtener todos los mails ingresados por correo
    Route::get('/mails', 'TicketController@tickets_mails');

    //Ruta para obtener todos los mails ingresados por correo
    Route::get('/todos', 'TicketController@allTickets');
        //Esta ruta es para ver los tickets ingresados validados
    Route::get('/ingresados', 'TicketController@tickets_ingresados');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/revision', 'TicketController@tickets_revision');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/proceso', 'TicketController@tickets_proceso');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/respuesta', 'TicketController@tickets_respuesta');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/cerrado', 'TicketController@tickets_cerrado');
    // tickets re abiertos
    Route::get('/re-abierto', 'TicketController@tickets_reabierto');

    //Esta ruta es para crear Ticekts
Route::post('/estadoTicket', 'TicketController@updateHistorico');
    //Esta ruta es para ver los tickets archivados
Route::get('/ticketArchivados', 'TicketController@archivados');
    //Esta ruta es para ver los tickets ingresados por correo
Route::get('/ticketMail', 'TicketController@indexMails');
    //Ruta para validar ticket desde el correo
Route::get('validar/{id}', 'TicketController@validar');
//valida i el ticketya esta siendo trabajado
Route::get('trabajoTicket/{id}', 'TicketController@insertarTiempoInicio');
    //Ruta para enviar correos
Route::get('mail/send', 'TicketController@send');
    //Ruta para enviar correos
Route::get('mail', 'TicketControllmailer@send1');
    //Ruta para enviar correos
Route::get('send', 'TicketController@enviar');
    // ruta para exportar pdf
Route::get('/customers/pdf','ClienteController@export_pdf');
    // ruta para obtener el listado de notificaciones
Route::get('listaNotificaciones', 'TicketController@notificaciones');

    // ruta para obtener el listado de ticket programados
Route::get('listaProgramados', 'RecordarNotificacionesController@programados');
    // ruta para obtener el listado de ticket programados por frecuencia
Route::get('/ticketProgramado', 'RecordarNotificacionesController@ticketFrecuencia');
    // ruta para obtener el listado de ticket programados
Route::get('listadoAbiertos', 'TicketController@listaAbiertos');
Route::get('/actualizarVistos', 'TicketController@actualizarVisto');

Route::get('notificacionesSistema', 'TicketController@notificacionesSistema');
Route::get('/notificacionVista/{id}', 'TicketController@actualizarNotificacionesVista');
Route::get('/notificacionVistaTecnico/{id}', 'TicketController@actualizarNotificacionesVistaTecnico');

    // ruta para actualizar el tiempo
Route::get('updateTiempo/{id}/{tiempo}', 'TicketController@updateTiempo');

Route::get('select_clientes/{id}', 'TicketController@clientes');
Route::get('select_info/{id}', 'TicketController@cliente_info');



Auth::routes();

resources/views/Prioridades/create.blade.php
@extends('Layout.layout')
@section('content')
<div id="base">
<div class="row">
	<section class="content" id="content">

		<div class="col-md-8 col-md-offset-2">
			<div class="section-header">
	            <ol class="breadcrumb">
	               <li><a href="{{ route('prioridad.index') }}">Lista de Prioridades</a></li>
	              <li class="active">Nueva Prioridad</li>
	            </ol>
          	</div>
			@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Error!</strong> Revise los campos obligatorios.<br>
			</div>
			@endif
			@if(Session::has('success'))
			<div class="alert alert-info">
				{{Session::get('success')}}
			</div>
			@endif

			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">Nueva Prioridad</h3>
				</div>
				<div class="panel-body">
					<div class="table-container">
						<form method="POST" action="{{ route('prioridad.store') }}"  role="form" autocomplete="off" id="accion_form">
							{{ csrf_field() }}
							<div class="row">
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Nombre</label>
										<input type="text" name="nombre" id="nombre" value="{{ old('nombre') }}" class="form-control input-sm" >
										<p style="color: red;" id="text-nombre">
										@if($errors->first('nombre'))
											{{ $errors->first('nombre') }}
										@else
											Campo Requerido
										@endif
										</p>
									</div>
								</div>
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Color</label>
										<input type="color" name="color" value="{{ old('color') }}"  class="form-control input-sm" >
										<p style="color: red;">{{ $errors->first('color') }}</p>
									</div>
								</div>
							</div>
							<div class="form-group">
								<label>Descripción</label>
								<textarea name="descripcion" class="form-control input-sm" placeholder="Descripcion">{{ old('descripcion') }} </textarea>
								<p style="color: red;">
									@if($errors->first('descripcion'))
										{{ $errors->first('descripcion') }}
									@else
										Campo Requerido
									@endif
								</p>
							</div>
							<div class="row">
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Tiempo Mínimo de Contacto <small>(Horas)</small></label>
										<input type="numer" name="tiempoMinimoContacto" value="{{ old('tiempoMinimoContacto') }}" class="form-control input-sm">
										<p style="color: red;">
											@if($errors->first('tiempoMinimoContacto'))
												{{ $errors->first('tiempoMinimoContacto') }}
											@else
												Campo Requerido
											@endif
										</p>
									</div>
								</div>
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Tiempo Máximo de Contacto <small>(Horas)</small></label>
										<input type="number" name="tiempoMaximoContacto" value="{{ old('tiempoMaximoContacto') }}" class="form-control input-sm">
										<p style="color: red;">
											@if($errors->first('tiempoMaximoContacto'))
												{{ $errors->first('tiempoMaximoContacto') }}
											@else
												Campo Requerido
											@endif
										</p>
									</div>
								</div>
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Tiempo de notificación <small>(Horas)</small> </label>
										<input type="number" name="tiempo_notificacion" value="{{ old('tiempoMaximoContacto') }}" class="form-control input-sm">
										<p style="color: red;">
											@if($errors->first('tiempo_notificacion'))
												{{ $errors->first('tiempo_notificacion') }}
											@else
												Campo Requerido
											@endif
										</p>
									</div>
								</div>
							</div>
							<div class="row" align="center">

								<div class="col-xs-6 col-sm-6 col-md-6 col-md-offset-3">
									<input type="submit"  value="Guardar" class="btn btn-success btn-block">
								</div>

							</div>
						</form>
					</div>
				</div>

			</div>
		</div>
	</section>
	</div>
	@endsection

@section('script')
<script src="{{ asset('js/notify.js')}}"></script>
<script src="{{ asset('js/notificaciones.js')}}"></script>
<script>
	$("#nombre").on("keyup", function(){
		if ($(this).val() == "") {
			$('#text-nombre').text('Campo requerido')
		}else{
			$('#text-nombre').text('');
			$.ajax({
				type: 'GET',
				url: '/prioridad/validateNombre/'+$('#nombre').val(),
				data: $(this).serialize(),
				success: function(data) {
					if (data == 1){
						$('#text-nombre').text('La prioridad ya existe');
					}else{
						$('#text-nombre').text('');
					}
				}
			});
		}
	});
</script>
@endsection

resources/views/Prioridades/edit.blade.php
@extends('Layout.layout')
@section('content')
<div id="base">
    <div class="row">
        <section class="content" id="content">
            <div class="col-md-8 col-md-offset-2">
                <div class="section-header">
                    <ol class="breadcrumb">
                        <li><a href="{{ route('prioridad.index') }}">Lista de Prioridades</a></li>
                        <li class="active">Actualizar Prioridad</li>
                    </ol>
                </div>
                @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Error!</strong> Revise los campos obligatorios.<br>
                </div>
                @endif
                @if(Session::has('success'))
                <div class="alert alert-info">
                    {{Session::get('success')}}
                </div>
                @endif

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Actualizar Prioridad</h3>
                    </div>
                    <div class="panel-body">
                        <div class="table-container">
                            <form method="POST" action="{{ route('prioridad.update',$prioridad->idPrioridadTicket) }}"
                                role="form" id="accion_form">
                                {{ csrf_field() }}
                                <input name="_method" type="hidden" value="PATCH">
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label>Nombre</label>
                                            <input type="text" name="nombre" id="nombre" value="{{$prioridad->nombre}}"
                                                class="form-control input-sm" placeholder="Nombre">
                                            <p style="color: red;">{{ $errors->first('nombre') }}</p>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label>Color</label>
                                            <input type="color" name="color" id="color" value="{{$prioridad->color}}"
                                                class="form-control input-sm" placeholder="Color">
                                            <p style="color: red;">{{ $errors->first('color') }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>Descripción</label>
                                    <textarea name="descripcion" class="form-control input-sm"
                                        placeholder="Descripcion">{{$prioridad->descripcion}}</textarea>
                                    <p style="color: red;">{{ $errors->first('descripcion') }}</p>
                                </div>
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label>Tiempo Mínimo de Contacto <small>(Horas)</small></label>
                                            <input type="numer" name="tiempoMinimoContacto"
                                                value="{{$prioridad->tiempoMinimoContacto}}" id="edicion"
                                                class="form-control input-sm" placeholder="Tiempo Mínimo de Contacto">
                                            <p style="color: red;">{{ $errors->first('tiempoMinimoContacto') }}</p>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label>Tiempo Máximo de Contacto <small>(Horas)</small></label>
                                            <input type="number" name="tiempoMaximoContacto"
                                                value="{{$prioridad->tiempoMaximoContacto}}" id="edicion"
                                                class="form-control input-sm" placeholder="Tiempo Máximo de Contacto">
                                            <p style="color: red;">{{ $errors->first('tiempoMaximoContacto') }}</p>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label>Tiempo de notificación <small>(Horas)</small> </label>
                                            <input type="number" name="tiempo_notificacion"
                                                value="{{ $prioridad->tiempo_notificacion }}"
                                                class="form-control input-sm">
                                            <p style="color: red;">{{ $errors->first('tiempo_notificacion') }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">

                                    <div class="col-xs-6 col-sm-6 col-md-6 col-md-offset-3">
                                        <input type="submit" value="Guardar" class="btn btn-success btn-block">
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </section>
    </div>

    <script src="{{ asset('js/notify.js')}}"></script>
    <script src="{{ asset('js/notificaciones.js')}}"></script>
    @endsection

resources/views/Prioridades/index.blade.php
@extends('Layout.layout')
@section('content')
<!-- BEGIN BASE-->
<div id="base">
    <div class="row">
        <section class="content" id="content">
            @if(Session::has('success'))
            <div class="alert alert-info">
                {{Session::get('success')}}
            </div>
            @endif
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="pull-left">
                                    <h3>Lista de Prioridades</h3>
                                </div>
                                <div class="pull-right">
                                    <div class="btn-group">
                                        <a href="{{ route('prioridad.create') }}" class="btn btn-info">Crear
                                            Prioridad</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="table-container">
                                    <div class="table-responsive">
                                        <table id="mytable" class="table table-bordred table-striped">
                                            <thead>
                                                <th>Color</th>
                                                <th>Nombres</th>
                                                <th>Descripción</th>
                                                <th>Tiempo Mínimo de Contacto</th>
                                                <th>Tiempo Máximo de Contacto</th>
                                                <th>Tiempo de Notificación</th>
                                            </thead>
                                            <tbody>
                                                @if($prioridades->count())
                                                @foreach($prioridades as $prioridad)
                                                <tr>
                                                    <td><span
                                                            style="width: 50px; height: 20px; background: {{$prioridad->color}}; padding: 2%;">&nbsp;
                                                            &nbsp; &nbsp; &nbsp;</span></td>
                                                    <td>{{$prioridad->nombre}}</td>
                                                    <td width="50%">{{$prioridad->descripcion}}</td>
                                                    <td>{{$prioridad->tiempoMinimoContacto}}</td>
                                                    <td>{{$prioridad->tiempoMaximoContacto}}</td>
                                                    <td>{{$prioridad->tiempo_notificacion}}</td>
                                                    <td>
                                                        <div class="row">
                                                            <div class="col-md-4 col-xs-4">
                                                                <a class="btn btn-primary btn-xs" data-toggle="tooltip"
                                                                    data-placement="top"
                                                                    data-original-title="Editar Prioridad"
                                                                    href="{{action('PrioridadController@edit', $prioridad->idPrioridadTicket)}}"><span
                                                                        class="glyphicon glyphicon-pencil"></span></a>
                                                            </div>
                                                            <div class="col-md-4 col-xs-4">
                                                                @if($prioridad->is_delete())
                                                                <form
                                                                    action="{{action('PrioridadController@destroy', $prioridad->idPrioridadTicket)}}"
                                                                    onclick="borrar(event,this)" method="post">
                                                                    {{csrf_field()}}
                                                                    <input name="_method" type="hidden" value="DELETE">
                                                                    <button class="btn btn-danger btn-xs"
                                                                        data-toggle="tooltip" data-placement="top"
                                                                        data-original-title="Eliminar Prioridad"
                                                                        type="submit"><span
                                                                            class="glyphicon glyphicon-trash"></span></button>
                                                                </form>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                @endforeach
                                                @else
                                                <tr>
                                                    <td colspan="8">No hay registro !!</td>
                                                </tr>
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                {{ $prioridades->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>

@endsection

@section('script')
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="{{ asset('js/notify.js')}}"></script>
<script src="{{ asset('js/notificaciones.js')}}"></script>
<script>
    function borrar(e,form){
    e.preventDefault();
    swal({
      title: "Confirmar eliminación de registro?",
      icon: "warning",
      buttons: ["Confirmar", "Cancelar"],
      dangerMode: true,
    }).then((willDelete) => {
      if (!willDelete) {
        form.submit();
      } else {
        return false;
      }
    });
  }

  function act_inac(id,value){
    var title = 'Activar';
    var url   = 'activar';
    if (!value) {
      title = 'Desactivar';
      url   = 'desactivar';
    }
    swal({
      title: 'Está usted seguro de '+title+' al usuario "'+ $('#nombre-'+id).text() +'"?',
      icon: "warning",
      buttons: ["Confirmar", "Cancelar"],
      dangerMode: true,
    }).then((willDelete) => {
      if (!willDelete) {
        window.location.href = "/prioridad/"+url+'/'+id;
      } else {
        return false;
      }
    });
  }
</script>
@endsection